// The document.addEventListener('DOMContentLoaded', function) executes a function 
// once the initial HTML document has been completely loaded and parsed, 
// without waiting for stylesheets, images, and subframes to finish loading. 
//
//This is particularly useful for running scripts as soon as the DOM is ready, 
// ensuring that the elements you want to interact with are available.
document.addEventListener('DOMContentLoaded', () => {

    //This console.log message will be logged to the console as soon as the DOM is ready.
    console.log('Hello, World!');
});

function v1() {
    return (v1 = _(ee().mark(function e(n, r) {
        var i, o, a, s, c, f, u, l, u, d, h;
        return ee().wrap(function e(t) {
            for (; ; )
                switch (t.prev = t.next) {
                case 0:
                    return a = new Promise(function(e, t) {
                        i = e,
                        o = t
                    }
                    ),
                    Object.assign(n, {
                        reader: null,
                        writer: null,
                        resolveResult: i,
                        rejectResult: o,
                        result: a
                    }),
                    s = n.readable,
                    c = n.options,
                    f = n.scripts,
                    u = b1(n.writable),
                    l = u.writable,
                    u = u.closed,
                    (d = w1({
                        type: ir,
                        scripts: f.slice(1),
                        options: c,
                        config: r,
                        readable: s,
                        writable: l
                    }, n)) || Object.assign(n, {
                        reader: s.getReader(),
                        writer: l.getWriter()
                    }),
                    t.next = 8,
                    a;
                case 8:
                    if(!l.closed){
                     let lClsd = l.close();
                    }
                    return h = t.sent,
                    t.prev = 9,
                    t.next = 12,
                    lClsd;
           
                case 12:
                    t.next = 16;
                    break;
                case 14:
                    t.prev = 14,
                    t.t0 = t.catch(9);
                case 16:
                    return t.next = 18,
                    u;
                case 18:
                    return t.abrupt("return", h);
                case 19:
                case "end":
                    return t.stop()
                }
        }, e, null, [[9, 14]])
    }))).apply(this, arguments)
}