//TEST DATA:
 // Define the columns
 var spreadJSColumnDef = [
    { name: "Unique ID", displayName: "Unique ID" },
    { name: "Name", displayName: "Name" },
    { name: "Time Zone", displayName: "Time Zone" },
    { name: "Scenario Name", displayName: "Scenario Name" },
    { name: "Start Date", displayName: "Start Date" },
    { name: "End Date", displayName: "End Date" },
    { name: "Calls Handled", displayName: "Calls Handled" },
    { name: "Staff Without IOT", displayName: "Staff Without IOT" },
    { name: "Average Call Handling Time", displayName: "Average Call Handling Time" },
    { name: "Staff With IOT", displayName: "Staff With IOT" },
    { name: "IOT", displayName: "IOT" },
    { name: "Average Handling Time", displayName: "Average Handling Time" },
    { name: "Minimum Staff Required", displayName: "Minimum Staff Required" },
    { name: "Minimum Staff Without IOT", displayName: "Minimum Staff Without IOT" },
    { name: "Minimum Staff With IOT", displayName: "Minimum Staff With IOT" },
    { name: "Maximum Staff Allowed", displayName: "Maximum Staff Allowed" },
    { name: "Staff Hours Required", displayName: "Staff Hours Required" },
    { name: "Calls Handled By Staff Without IOT", displayName: "Calls Handled By Staff Without IOT" },
    { name: "Calls Handled By Provided Staff", displayName: "Calls Handled By Provided Staff" },
    { name: "Calls Handled By Provided Staff Without IOT", displayName: "Calls Handled By Provided Staff Without IOT" },
    { name: "Calls Handled By Online Staff", displayName: "Calls Handled By Online Staff" },
    { name: "Staff Provided", displayName: "Staff Provided" },
    { name: "Staff Online", displayName: "Staff Online" },
    { name: "Resource Capacity Requirement", displayName: "Resource Capacity Requirement" },
    { name: "Staff Work Hours", displayName: "Staff Work Hours" },
    { name: "rowId", displayName: "rowId" }
];

var spreadJsData = [
    {
        "Unique ID": 200699,
        "Name": "ADR-NEF",
        "Time Zone": "US/Central",
        "Scenario Name": "Final",
        "Start Date": "10/26/2024 00:00",
        "End Date": "10/27/2024 00:00",
        "Calls Handled": 0,
        "Staff Without IOT": 4,
        "Average Call Handling Time": 0,
        "Staff With IOT": 4,
        "IOT": 150,
        "Average Handling Time": 0,
        "Minimum Staff Required": 4,
        "Minimum Staff Without IOT": 4,
        "Minimum Staff With IOT": 4,
        "Maximum Staff Allowed": 9999990,
        "Staff Hours Required": 0,
        "Calls Handled By Staff Without IOT": 0,
        "Calls Handled By Provided Staff": null,
        "Calls Handled By Provided Staff Without IOT": null,
        "Calls Handled By Online Staff": null,
        "Staff Provided": null,
        "Staff Online": null,
        "Resource Capacity Requirement": null,
        "Staff Work Hours": null,
        "rowId": 0
    },
    {
        "Unique ID": 200699,
        "Name": "ADR-NEF",
        "Time Zone": "US/Central",
        "Scenario Name": "Final",
        "Start Date": "10/27/2024 00:00",
        "End Date": "10/28/2024 00:00",
        "Calls Handled": 170,
        "Staff Without IOT": 320,
        "Average Call Handling Time": 0,
        "Staff With IOT": 359,
        "IOT": 720,
        "Average Handling Time": 1049.3523799652980588235294118,
        "Minimum Staff Required": 351,
        "Minimum Staff Without IOT": 315,
        "Minimum Staff With IOT": 351,
        "Maximum Staff Allowed": 47999952,
        "Staff Hours Required": 0,
        "Calls Handled By Staff Without IOT": 170,
        "Calls Handled By Provided Staff": null,
        "Calls Handled By Provided Staff Without IOT": null,
        "Calls Handled By Online Staff": null,
        "Staff Provided": null,
        "Staff Online": null,
        "Resource Capacity Requirement": null,
        "Staff Work Hours": null,
        "rowId": 1
    },
    {
        "Unique ID": 200699,
        "Name": "ADR-NEF",
        "Time Zone": "US/Central",
        "Scenario Name": "Final",
        "Start Date": "10/28/2024 00:00",
        "End Date": "10/29/2024 00:00",
        "Calls Handled": 152,
        "Staff Without IOT": 303,
        "Average Call Handling Time": 0,
        "Staff With IOT": 335,
        "IOT": 720,
        "Average Handling Time": 1077.7843540392493421052631579,
        "Minimum Staff Required": 328,
        "Minimum Staff Without IOT": 293,
        "Minimum Staff With IOT": 328,
        "Maximum Staff Allowed": 47999952,
        "Staff Hours Required": 0,
        "Calls Handled By Staff Without IOT": 152,
        "Calls Handled By Provided Staff": null,
        "Calls Handled By Provided Staff Without IOT": null,
        "Calls Handled By Online Staff": null,
        "Staff Provided": null,
        "Staff Online": null,
        "Resource Capacity Requirement": null,
        "Staff Work Hours": null,
        "rowId": 2
    },
    {
        "Unique ID": 200699,
        "Name": "ADR-NEF",
        "Time Zone": "US/Central",
        "Scenario Name": "Final",
        "Start Date": "10/29/2024 00:00",
        "End Date": "10/30/2024 00:00",
        "Calls Handled": 142,
        "Staff Without IOT": 286,
        "Average Call Handling Time": 0,
        "Staff With IOT": 321,
        "IOT": 720,
        "Average Handling Time": 1067.0110102152747887323943662,
        "Minimum Staff Required": 311,
        "Minimum Staff Without IOT": 275,
        "Minimum Staff With IOT": 311,
        "Maximum Staff Allowed": 47999952,
        "Staff Hours Required": 0,
        "Calls Handled By Staff Without IOT": 142,
        "Calls Handled By Provided Staff": null,
        "Calls Handled By Provided Staff Without IOT": null,
        "Calls Handled By Online Staff": null,
        "Staff Provided": null,
        "Staff Online": null,
        "Resource Capacity Requirement": null,
        "Staff Work Hours": null,
        "rowId": 3
    },
    {
        "Unique ID": 200699,
        "Name": "ADR-NEF",
        "Time Zone": "US/Central",
        "Scenario Name": "Final",
        "Start Date": "10/30/2024 00:00",
        "End Date": "10/31/2024 00:00",
        "Calls Handled": 130,
        "Staff Without IOT": 274,
        "Average Call Handling Time": 0,
        "Staff With IOT": 306,
        "IOT": 720,
        "Average Handling Time": 1068.6819994402695923076923077,
        "Minimum Staff Required": 299,
        "Minimum Staff Without IOT": 271,
        "Minimum Staff With IOT": 299,
        "Maximum Staff Allowed": 47999952,
        "Staff Hours Required": 0,
        "Calls Handled By Staff Without IOT": 130,
        "Calls Handled By Provided Staff": null,
        "Calls Handled By Provided Staff Without IOT": null,
        "Calls Handled By Online Staff": null,
        "Staff Provided": null,
        "Staff Online": null,
        "Resource Capacity Requirement": null,
        "Staff Work Hours": null,
        "rowId": 4
    },
    {
        "Unique ID": 200699,
        "Name": "ADR-NEF",
        "Time Zone": "US/Central",
        "Scenario Name": "Final",
        "Start Date": "10/31/2024 00:00",
        "End Date": "11/01/2024 00:00",
        "Calls Handled": 155,
        "Staff Without IOT": 305,
        "Average Call Handling Time": 0,
        "Staff With IOT": 344,
        "IOT": 720,
        "Average Handling Time": 1056.6498467423623225806451613,
        "Minimum Staff Required": 331,
        "Minimum Staff Without IOT": 297,
        "Minimum Staff With IOT": 331,
        "Maximum Staff Allowed": 47999952,
        "Staff Hours Required": 0,
        "Calls Handled By Staff Without IOT": 155,
        "Calls Handled By Provided Staff": null,
        "Calls Handled By Provided Staff Without IOT": null,
        "Calls Handled By Online Staff": null,
        "Staff Provided": null,
        "Staff Online": null,
        "Resource Capacity Requirement": null,
        "Staff Work Hours": null,
        "rowId": 5
    },
    {
        "Unique ID": 200699,
        "Name": "ADR-NEF",
        "Time Zone": "US/Central",
        "Scenario Name": "Final",
        "Start Date": "11/01/2024 00:00",
        "End Date": "11/02/2024 00:00",
        "Calls Handled": 66,
        "Staff Without IOT": 200,
        "Average Call Handling Time": 0,
        "Staff With IOT": 218,
        "IOT": 720,
        "Average Handling Time": 1019.6031388640625454545454545,
        "Minimum Staff Required": 217,
        "Minimum Staff Without IOT": 195,
        "Minimum Staff With IOT": 217,
        "Maximum Staff Allowed": 47999952,
        "Staff Hours Required": 0,
        "Calls Handled By Staff Without IOT": 66,
        "Calls Handled By Provided Staff": null,
        "Calls Handled By Provided Staff Without IOT": null,
        "Calls Handled By Online Staff": null,
        "Staff Provided": null,
        "Staff Online": null,
        "Resource Capacity Requirement": null,
        "Staff Work Hours": null,
        "rowId": 6
    },
    {
        "Unique ID": 200699,
        "Name": "ADR-NEF",
        "Time Zone": "US/Central",
        "Scenario Name": "Final",
        "Start Date": "11/02/2024 00:00",
        "End Date": "11/03/2024 00:00",
        "Calls Handled": 25,
        "Staff Without IOT": 144,
        "Average Call Handling Time": 0,
        "Staff With IOT": 151,
        "IOT": 570,
        "Average Handling Time": 1029.6217864328892,
        "Minimum Staff Required": 145,
        "Minimum Staff Without IOT": 143,
        "Minimum Staff With IOT": 145,
        "Maximum Staff Allowed": 37999962,
        "Staff Hours Required": 0,
        "Calls Handled By Staff Without IOT": 25,
        "Calls Handled By Provided Staff": null,
        "Calls Handled By Provided Staff Without IOT": null,
        "Calls Handled By Online Staff": null,
        "Staff Provided": null,
        "Staff Online": null,
        "Resource Capacity Requirement": null,
        "Staff Work Hours": null,
        "rowId": 7
    }
];


//DATA for dataBinding2.html:
var datasource2 = [
    { name: "Alice", age: 27, birthday: "1985/08/31", position: "PM" },
    { name: "Aimee", age: 28, birthday: "1984/07/31", position: "TL" },
    { name: "Charles", age: 29, birthday: "1983/03/31", position: "QC" },
    { name: "Fred", age: 30, birthday: "1982/02/20", position: "DL" },
    { name: "Angelia", age: 31, birthday: "1981/05/30", position: "QC" },
    { name: "Peter", age: 32, birthday: "1980/11/08", position: "QC" }
];


var nameColInfo = { name: "name", displayName: "Name", size: 70 };
var ageColInfo = { name: "age", displayName: "Age", size: 40, resizable: false };
var birthdayColInfo = { name: "birthday", displayName: "Birthday",formatter:"d/M/yy", size: 120 };
var positionColInfo = { name: "position", displayName: "Position", size: 50, visible: false };


var addresses = [
    {
        street: "123 Main St",
        city: "New York",
        zip: "10001",
        state: "NY"
    },
    {
        street: "456 Elm St",
        city: "Los Angeles",
        zip: "90001",
        state: "CA     "
    },
    {
        street: "789 Oak St",
        city: "Chicago",
        zip: "60601",
        state: "IL     "
    },
    {
        street: "101 Maple St",
        city: "Houston",
        zip: "77001",
        state: "TX     "
    }
];